CRYPTO_CIPHER_ENCRYP(9)

NAME
crypto_cipher_encrypt_one - encrypt one block of plaintext

SYNOPSIS

void crypto_cipher_encrypt_one(struct crypto_cipher * tfm, u8 * dst, const u8 * src);

ARGUMENTS

tfm
    cipher handle

dst
    points to the buffer that will be filled with the ciphertext

src
    buffer holding the plaintext to be encrypted

DESCRIPTION

Invoke the encryption operation of one block. The caller must ensure that the plaintext and ciphertext buffers are at least one block in size.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT